#!/bin/bash
set -aeou pipefail

RESTIC=/usr/bin/restic

# some helpers and error handling:
trap 'echo $( date ) Backup interrupted >&2; exit 2' INT TERM

# shellcheck disable=SC1090
source "${HOME}"/.restic/restic.env

$RESTIC backup \
    --exclude-file="$HOME"/.restic/excludes.txt \
    --files-from="$HOME"/.restic/includes.txt \
    --verbose
